支持的 PostgreSQL 数据库版本

Azure 致力于在 Azure Database for PostgreSQL 服务中支持 n-2 版本的 PostgreSQL 引擎。 这些版本将是 Azure 上的当前主版本 (n) 和之前的两个主版本 (-2)。

Azure Database for PostgreSQL 目前支持以下版本:

PostgreSQL 版本 10.5

若要详细了解此次要版本中的改进和修复,请参阅 PostgreSQL 文档

PostgreSQL 版本 9.6.10

若要详细了解此次要版本中的改进和修复,请参阅 PostgreSQL 文档

PostgreSQL 版本 9.5.14

若要了解此次要版本中的改进和修复,请参阅 PostgreSQL 文档

管理更新和升级

Azure Database for PostgreSQL 自动管理次要版本修补程序。 目前不支持主版本升级。 例如,不支持从 PostgreSQL 9.5 升级到 PostgreSQL 9.6。 如果要升级到下一个主版本,请进行转储并将其还原到使用新引擎版本创建的服务器。

后续步骤

有关不同 PostgreSQL 扩展支持的信息,请参阅 PostgreSQL 扩展